org.hibernate.search.indexes.impl

## Class IndexManagerGroupHolder

- java.lang.Object
- - org.hibernate.search.indexes.impl.IndexManagerGroupHolder

- All Implemented Interfaces:
    AutoCloseable

      public class IndexManagerGroupHolder
      extends Object
      implements AutoCloseable

  Holds references to all index managers representing either:
  - The only index manager of a given index (no sharding)
  - The index managers for each shard of a given index (sharding)
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexManagerGroupHolder(IndexManagerHolder parentHolder, String indexNameBase, Similarity similarity, IndexManagerType indexManagerType, org.hibernate.search.indexes.impl.EntityIndexBinder entityIndexBinder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `IndexManagerType` | `getIndexManagerType()`
    `String` | `getIndexNameBase()`
    `Backend` | `getOrCreateBackend(String indexManagerName, Properties properties, WorkerBuildContext buildContext)`
    `Backend` | `getOrCreateBackend(String backendName, String indexManagerName, Properties properties, WorkerBuildContext buildContext)`
    `Similarity` | `getSimilarity()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexManagerGroupHolder

          public IndexManagerGroupHolder(IndexManagerHolder parentHolder,
                                         String indexNameBase,
                                         Similarity similarity,
                                         IndexManagerType indexManagerType,
                                         org.hibernate.search.indexes.impl.EntityIndexBinder entityIndexBinder)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`

    - #### getIndexNameBase

          public String getIndexNameBase()

    - #### getSimilarity

          public Similarity getSimilarity()

    - #### getIndexManagerType

          public IndexManagerType getIndexManagerType()

    - #### getOrCreateBackend

          public Backend getOrCreateBackend(String indexManagerName,
                                            Properties properties,
                                            WorkerBuildContext buildContext)

    - #### getOrCreateBackend

          public Backend getOrCreateBackend(String backendName,
                                            String indexManagerName,
                                            Properties properties,
                                            WorkerBuildContext buildContext)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved